Subject: Re: How linux-staging is released (was Re: linux-staging/linux-next merge/build errors)

From: Greg KH <[email-masked]>
Date: Sat, 21 Jun 2008 14:50:59 -0700

On Sat, Jun 21, 2008 at 08:02:22PM +0200, Peter Zijlstra wrote:
> The point was that for some people being carried by distos is upstream
> enough.
> 
> So I would discourage distros form picking up this tree.

I wouldn't, as some of the drivers work just fine on some arches, but
not all, that is why they are not in mainline yet (the network drivers
in there right now are an example of this.)

> The scenario I was thinking about is some HW vendor writing a shitty
> driver, dumping it in your tree - getting picked up by $DISTRO and
> saying, job done, people can use it. Leaving you to pick up the pieces -
> which, with you not having hw-docs, is a hard job.

If this happens, I'll deal with it then :)

thanks,

greg k-h